#real-estate-main-banner1 {
  background: url('/Nhome/assets/images/business-introduction/real-estate/mainbanner-1.jpg');
  background-size: cover;
  background-position: center;
}

#real-estate-main-banner2 {
  background: url('/Nhome/assets/images/business-introduction/real-estate/mainbanner-2.jpg');
  background-size: cover;
  background-position: center;
  background-blend-mode: normal, plus-darker, normal;
}

#real-estate-main-banner3 {
  background: url('/Nhome/assets/images/business-introduction/real-estate/mainbanner-3.jpg');
  background-size: cover;
  background-position: center;
  background-blend-mode: normal, plus-darker, normal;
}

.main-banner {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: 100%;
  height: calc(var(--vh, 1vh) * 100);
}

.real-estate-main-banner-content {
  display: flex;
  flex-direction: column;
  transform: translateY(-50%);
  position: absolute;
  top: 50%;
  left: 0;
  right: 0;
  width: 100%;
  margin: 0 auto;
  justify-content: space-between;
  z-index: 10;
  box-sizing: border-box;
  align-items: start;
}

.real-estate-main-banner-content h1 {
  margin-top: 8px;
}

.real-estate-main-banner-content p {
  margin-top: 40px;
}

/* scroll down */
.next-section-scroll {
  display: flex;
  flex-direction: column;
  gap: 12px;
  justify-content: center;
  align-items: center;
  position: absolute;
  bottom: 32px;
  left: 50%;
  translate: -50% 0%;
  color: var(--white);
  z-index: 100;
  cursor: pointer;
  text-decoration: none;
}

@media (max-width: 767px) {
  .next-section-scroll {
    bottom: 20px;
  }
}

.next-section-scroll .interaction {
  width: 8px;
  height: 20px;
}

#real-estate-about {
  padding-top: 120px;
  padding-bottom: 180px;
}

@media (max-width: 1279px) {
  #real-estate-about {
    padding-top: 100px;
    padding-bottom: 160px;
  }
}

@media (max-width: 767px) {
  #real-estate-about {
    padding-top: 80px;
    padding-bottom: 120px;
  }
}

.accordion-container {
  margin-top: 80px;
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.accordion {
  padding: 60px 32px;
  overflow: hidden;
  background: #fafbfc;
  border-radius: 4px;
  border: 1px solid var(--gray-100);
}

@media (max-width: 1279px) {
  .accordion {
    padding: 60px 24px;
  }
}

.accordion-header {
  width: 100%;
  text-align: left;
  cursor: pointer;
}

.accordion-header p {
  margin-top: 24px;
}

.accordion-header-content {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 12px;
}

.accordion-header-icon {
  width: 48px;
  height: 48px;
  fill: var(--gray-600);
  object-fit: contain;
  display: inline-block;
}

.accordion-content {
  max-height: 0;
  overflow: hidden;
  display: grid;
  grid-template-rows: auto auto auto;

  transition: max-height 0.4s ease, padding 0.4s ease;
}

@media (max-width: 1279px) {
  .accordion-content {
    row-gap: 0px;
  }
}

@media (max-width: 767px) {
  .accordion-content {
    row-gap: 0px;
  }
}

.accordion-content.open {
}

.accordion-grid {
  margin-top: 100px;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(240px, 1fr));
  gap: 24px;
}

.accordion-item {
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.image-wrapper {
  position: relative;
  width: 100%;
  aspect-ratio: 550 / 358;
  overflow: hidden;
  border-radius: 4px;
  border: 1px solid var(--gray-200);
}

.image-wrapper img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.blur img {
  filter: blur(2px);
}

.image-overlay {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  padding: 20px 32px;
  border-radius: 4px;
  background-color: rgba(255, 255, 255, 0.6);
  outline: 3px var(--red-500) solid;
  outline-offset: -3px;
}

.accordion-item-content {
  width: 100%;
}

.accordion-item-content p {
  margin-top: 4px;
  color: var(--gray-600);
}

/* tablet 이하: 무조건 한 줄에 하나 */
@media (max-width: 1279px) {
  .accordion-grid {
    grid-template-columns: 1fr;
  }

  .image-wrapper {
    aspect-ratio: 725/358;
    max-width: none;
  }
}

@media (max-width: 767px) {
  .accordion-container {
    gap: 8px;
  }

  .accordion {
    padding: 32px 16px;
  }

  .accordion-header-icon {
    width: 36px;
    height: 36px;
    fill: var(--gray-600);
    object-fit: contain;
    display: inline-block;
  }

  .accordion-grid {
    margin-top: 60px;
  }

  .image-wrapper {
    aspect-ratio: 296/200;
    max-width: none;
  }

  .image-overlay {
    padding: 16px 32px;
  }
}

#real-estate-carousel {
  padding: 180px 80px;
  background: var(--gray-000);
}

.carousel-container {
  max-width: 100%;
  box-sizing: border-box;
  background: var(--gray-000);
}

.carousel {
  display: flex;
  align-items: center;
  position: relative;
  margin-top: 80px;
  z-index: 1;
}

.left {
  position: absolute;
  left: -36px;
  z-index: 10;
}

.left img {
  width: 36px;
  height: 36px;
}

.right {
  position: absolute;
  right: -36px;
  z-index: 10;
}

.right img {
  width: 36px;
  height: 36px;
}

.nav {
  opacity: 0;
  transition: opacity 0.3s;
  pointer-events: none;
}

.carousel:hover .nav {
  opacity: 1;
  pointer-events: auto;
}

.nav:disabled {
  opacity: 0.3;
  cursor: not-allowed;
}

.carousel-track-wrapper {
  overflow: hidden;
  flex-grow: 1;
}

.carousel-track {
  display: flex;
  transition: transform 0.5s ease-in-out;
  padding: 0;
  margin: 0;
  list-style: none;
  gap: 24px;
}

.carousel-item {
  flex: 0 0 calc((100% - (24px * 3)) / 4); /* 4개 고정 */
  box-sizing: border-box;
}

.img-wrapper {
  position: relative;
  width: 100%;
  aspect-ratio: 422 / 540; /* 비율만 유지 */
  height: auto; /* 높이 제한 없음 */
}

.img-wrapper img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.carousel-item p {
  text-align: left;
  margin-top: 20px;
}

.indicator {
  margin-top: 80px;
  height: 4px;
  background: var(--gray-100);
  position: relative;
  width: 100%;
}
.bar {
  background: var(--gray-800);
  height: 100%;
  width: 0%;
  transition: width 0.5s ease-in-out;
}

@media (max-width: 1279px) {
  .carousel-track-wrapper {
    overflow-x: auto;
    scroll-snap-type: x mandatory;
    -webkit-overflow-scrolling: touch;
  }

  .carousel-track-wrapper::-webkit-scrollbar {
    display: none;
  }

  .carousel-track {
    display: flex;
    gap: 24px;
    scroll-snap-type: x mandatory;
    scroll-behavior: smooth;
    padding-bottom: 12px;
    transform: none !important; /* JS에서 translateX 적용 방지 */
  }

  .carousel-item {
    scroll-snap-align: start;
    flex: 0 0 calc((100% - (24px * 3)) / 2.5); /* 4개 고정 */
  }

  .nav {
    display: none !important; /* 좌우 버튼 제거 */
  }

  .bar {
    transition: none !important;
  }
}

@media (min-width: 768px) and (max-width: 1279px) {
  #real-estate-carousel {
    padding: 160px 24px;
  }

  .carousel-item {
    flex: 0 0 calc((100% - (24px * 3)) / 2.5); /* 4개 고정 */
    box-sizing: border-box;
  }

  .carousel-track {
    gap: 16px;
  }

  .nav {
    display: none !important;
  }

  .indicator {
    margin-top: 60px;
  }
}

@media (max-width: 767px) {
  #real-estate-carousel {
    padding: 120px 16px;
  }

  .carousel {
    margin-top: 40px;
  }

  .carousel-track {
    display: flex;
    gap: 8px;
    scroll-snap-type: x mandatory;
    scroll-behavior: smooth;
    padding-bottom: 12px;
    transform: none !important; /* JS에서 translateX 적용 방지 */
  }

  .carousel-item {
    scroll-snap-align: start;
    flex: 0 0 calc((100% - (8px * 3)) / 1.5); /* 4개 고정 */
  }

  .carousel-item p {
    margin-top: 12px;
  }

  .indicator {
    margin-top: 32px;
  }
}

#real-estate-footer-banner {
  width: 100%;
  height: 318px;
  background: url('/Nhome/assets/images/business-introduction/real-estate/real-estate-footer-banner.jpg');
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  background-color: #fff;

  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: start;
  padding: 0 174px;
}

.footer-banner-phone {
  margin-top: 6px;
  display: flex;
  align-items: center;
  gap: 4px;
}

.footer-banner-phone img {
  width: 16px;
  height: 16px;
}

.footer-banner-button {
  margin-top: 48px;
  display: flex;
  flex-direction: row;
  gap: 12px;
}

.footer-banner-button a {
  text-decoration: none;
}

.button-contact {
  display: flex;
  padding: 10px 10px 10px 16px;
  justify-content: center;
  align-items: center;
  gap: 2px;
  border-radius: 4px;
  background: var(--blue-600);
  color: var(--white);
  cursor: pointer;
}

.button-contact img {
  width: 24px;
  height: 24px;
}

.button-template {
  display: flex;
  padding: 10px 10px 10px 16px;
  justify-content: center;
  align-items: center;
  gap: 2px;
  border-radius: 4px;
  border: 1px solid var(--gray-100);
  background: var(--white);
  color: var(--black);
  cursor: pointer;
}

@media (min-width: 768px) and (max-width: 1279px) {
  #real-estate-footer-banner {
    height: 280px;
    padding: 0 24px;
  }
}

@media (max-width: 767px) {
  #real-estate-footer-banner {
    height: 240px;
    padding: 0 24px;
  }

  .footer-banner-button {
    margin-top: 24px;
  }
}
